Ubuntu

Packages reported as newer than archive when they're not

Reported by Reuben Thomas on 2008-12-29
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
apt-show-versions (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: apt-show-versions

On my intrepid system, which has intrepid-updates in its /etc/apt/sources.list:

## Major bug fix updates produced after the final release of the
## distribution.
deb http://gb.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted
deb-src http://gb.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted

some packages from intrepid-updates are reported as newer than version in archive:

$ apt-show-versions |grep newer
gstreamer0.10-plugins-ugly 0.10.9-1ubuntu0.1 newer than version in archive
language-pack-en 1:8.10+20081107 newer than version in archive
language-pack-en-base 1:8.10+20081107 newer than version in archive
language-pack-gnome-en 1:8.10+20081107 newer than version in archive
language-pack-gnome-en-base 1:8.10+20081107 newer than version in archive
libpulsecore5 0.9.10-2ubuntu9.1 newer than version in archive
libv4l-0 0.5.6-1~intrepid1 newer than version in archive
ruby1.8-elisp 1.8.7.72-1ubuntu0.1 newer than version in archive

If I check one of these packages by looking at packages.ubuntu.com, I see that the version listed for intrepid-updates is the same as the one I have installed.

Reuben Thomas (rrt) wrote :

It seems that the above packages are all updates; maybe that helps track it down? intrepid-updates is listed in my /etc/apt/sources.list, and all the updates were installed with apt-get, so apt-show-versions should be working with them.

Sebastian Bertho (sbertho) wrote :

I see the same behaviour on my systems.
Maybe this is a duplicate of https://bugs.launchpad.net/ubuntu/+source/apt-show-versions/+bug/390937

Changed in apt-show-versions (Ubuntu):
status: New → Confirmed
Daniele (rizzo-dani) wrote :

same behaviour since update of system to maverick
also tried index rebuilding with no luck
apt-show-versions 0.16

Greg Klanderman (gak-k) wrote :

Are you using multiarch support? That will definitely cause erroneous reporting of a package as "newer than archive" by apt-show-versions; see the bug I just opened:

https://bugs.launchpad.net/ubuntu/+source/apt-show-versions/+bug/1125210

Reuben Thomas (rrt) wrote :

It indeed looks like multiarch is my problem, so I eagerly await the updated apt-show-versions landing in Ubuntu (presumably in raring+1).

Reuben Thomas (rrt) wrote :

This bug was fixed in 0.21.

Changed in apt-show-versions (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers